Package de.willuhn.jameica.hbci.schedule

# Class Schedule<T extends HibiscusDBObject>

java.lang.Object
de.willuhn.jameica.hbci.schedule.Schedule<T>

Type Parameters:
  `T` - der konkrete Typ.

public class Schedule<T extends HibiscusDBObject> extends Object
Bean-Holder eines einzelnen Schedule.

## Constructor Summary

Constructors
Constructor
Description
`Schedule(Date date, T context, boolean planned)`
ct.

## Method Summary

Modifier and Type
Method
Description
`T`
`getContext()`
Liefert den Auftrag.
`Date`
`getDate()`
Liefert den Termin.
`boolean`
`isPlanned()`
Liefert true, wenn der Auftrag noch nicht existiert sondern lediglich geplant ist.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Schedule

public Schedule(Date date, T context, boolean planned)
ct.

Parameters:
  `date` - der Termin des Auftrages.
  `context` - der Auftrag.
  `planned` - true, wenn der Auftrag noch nicht existiert sondern er lediglich geplant ist.

## Method Details

### getDate

public Date getDate()
Liefert den Termin.

Returns:
  der Termin.

### getContext

public T getContext()
Liefert den Auftrag.

Returns:
  der Auftrag.

### isPlanned

public boolean isPlanned()
Liefert true, wenn der Auftrag noch nicht existiert sondern lediglich geplant ist.

Returns:
  true, wenn er noch nicht existiert sondern lediglich geplant ist.